Method: projects.locations.licenseConfigs.list

Lists all the LicenseConfigs associated with the project.

HTTP request

GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*}/licenseConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent branch resource name, such as projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Not supported.

pageToken

string

Optional. Not supported.

filter

string

Optional. The filter to apply to the list results.

The supported fields are:

  • subscriptionTier
  • state

Examples:

  • subscriptionTier=SUBSCRIPTION_TIER_SEARCH,state=ACTIVE - Lists all active search license configs.
  • state=ACTIVE - Lists all active license configs.

The filter string should be a comma-separated list of field=value pairs.

Request body

The request body must be empty.

Response body

Response message for LicenseConfigService.ListLicenseConfigs method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "licenseConfigs": [
    {
      object (LicenseConfig)
    }
  ],
  "nextPageToken": string
}
Fields
licenseConfigs[]

object (LicenseConfig)

All the customer's LicenseConfigs.

nextPageToken

string

Not supported.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • discoveryengine.licenseConfigs.list

For more information, see the IAM documentation.